height = 50 :: int_slider("Height Count", 1, 64)
width = 6 :: int_slider("Width Count", 1, 64)
depth = 4 :: int_slider("Depth Count", 1, 64)
xdim = 1 :: float_slider("Block Width", 0.1, 10, 0.1)
ydim = 1 :: float_slider("Block Height", 0.1, 10, 0.1)
zdim = 1 :: float_slider("Block Depth", 0.1, 10, 0.1)

dim = vec(xdim,ydim,zdim)

c = col()
c.dim = dim

for ih=1,height do
 for iw=1,width do
  for iz=1,depth do
   local b=brk(c)
   b.pos.x = iw * b.col.dim.x
   b.pos.y = (ih - 0.5) * b.col.dim.y
   b.pos.z = iz * b.col.dim.z
  end
 end
end